Page MenuHomePhabricator

Fine-grained geolocation for looking up common languages in ULS
Open, MediumPublic

Description

Current geolocation in ULS is by country. For some countries it will be useful to filter also by regions inside the country, for example India and Russia.

Event Timeline

Amire80 created this task.Apr 19 2016, 11:09 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 19 2016, 11:09 AM
Amire80 triaged this task as Medium priority.Apr 19 2016, 11:09 AM
Amire80 moved this task from Backlog to Prioritised languages on the ULS-CompactLinks board.

For some countries it will be useful to filter also by regions inside the country

Since when CLDR provides such data?

For some countries it will be useful to filter also by regions inside the country

Since when CLDR provides such data?

I didn't mention CLDR :)

I don't know how exactly we shall do it. It requires two things:

  • Fine-grained location. We may have it in the Wikimedia geolocation service, but I haven't checked deeply.
  • Mapping between country sub-divisions and languages. Maybe we can just do it manually for countries that have more than ten languages, with some help from Wikipedia, Ethnologue and common sense.
Nemo_bis closed this task as Resolved.Jun 8 2016, 12:39 PM
Nemo_bis claimed this task.
Nemo_bis removed a subscriber: Nemo_bis.

I disagree on collecting such data outside CLDR, unsubscribing.

Nemo_bis reopened this task as Open.Jun 8 2016, 12:39 PM
Nemo_bis removed Nemo_bis as the assignee of this task.
Nemo_bis added a subscriber: Nemo_bis.
jeblad added a subscriber: jeblad.Aug 19 2016, 5:03 PM

Note that some countries have several common languages, and that some countries even can have differences among closely related municipalities. In Norway Norwegian language is the most common language, but in Kautokeino municipality Northern Sami language is a common (possibly the most common) language.

We could simply make a language raster of the globe and adapt the language list to whatever are most common in each subarea. This has the added benefit of relaxing the requirement to follow official languages. Some users would probably argue that official languages should be used because they do not include specific languages.

Note similarity with T140453: Prioritize shown languages based on article's geographic coordinates

Nemo_bis removed a subscriber: Nemo_bis.Aug 19 2016, 6:57 PM

The requirements must be clarified. I vague recall we discussed something about the scope in the CLL document and that the tickets was supposed to be updated to reflect that.

Do we need to check what the cookies provide? Do we need to improve those systems?
Do we need to collect languages per location? For all world?
Do we need to implement finding languages per location? For PHP? for JavaScript?
Where should we use that information?

Arrbee assigned this task to Amire80.Feb 6 2018, 10:07 AM
Aklapper removed Amire80 as the assignee of this task.Jun 19 2020, 4:23 PM

This task has been assigned to the same task owner for more than two years. Resetting task assignee due to inactivity, to decrease task cookie-licking and to get a slightly more realistic overview of plans. Please feel free to assign this task to yourself again if you still realistically work or plan to work on this task - it would be welcome!

For tips how to manage individual work in Phabricator (noisy notifications, lists of task, etc.), see https://phabricator.wikimedia.org/T228575#6237124 for available options.
(For the records, two emails were sent to assignee addresses before resetting assignees. See T228575 for more info and for potential feedback. Thanks!)